geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: Server startup fails with Sun JDK 1.5, xalan missing
Date Fri, 17 Nov 2006 14:54:37 GMT

On Nov 17, 2006, at 9:38 AM, Vamsavardhana Reddy wrote:

> After Anita's mail, I tried running the server on 1.5 and the  
> server started fine.  Console output given below.

Yeah. Will also start fine if you simply remove  
xmlParserAPIs-2.2.1.jar from ../lib/endorsed. However, removing  
xmlParserAPIs-2.2.1.jar will break 1.4, I assume.

As Rick notes, the issue is that fact that xmlParserAPIs-2.2.1.jar  
set's the javax.xml.transform.TransformerFactory property to  
org.apache.xalan.processor.TransformerFactoryImpl. Sun 1.5 has  
altered the xslt package name in the 1.5 distribution. It's now  
com.sun.org.apache.xalan.processor.TransformerFactoryImpl.

Our choices seem to be:

1. include xalan in our distribution
2. make geronimo.sh sensitive to the jre version (either by user  
specified parameter or dynamic detection).
3. drop support of 1.4

Barring other options, adding xalan seems to be the way to go. We can  
remove it in 2.0 :-) Hmmm. Dropping support for 1.4 is starting to  
grow on me... Any other thoughts?

--kevan

Mime
View raw message